import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.chrome.ChromeDriver;

import java.util.ArrayList;
import java.util.Objects;
import java.util.concurrent.TimeUnit;

public class TestLink {
    ChromeDriver driver;

    @Test
    public void someTest() throws InterruptedException {
        System.setProperty("webdriver.chrome.driver", "chromedriver.exe");
        driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        driver.manage().window().maximize();

        /*Авторизация*/
        driver.get("https://demoevent.gate1.campuz.org/ru/user");
        driver.findElement(By.xpath("//*[@id=\"m_login\"]/div/div/div[2]/div[3]/div/ul/li[2]")).click();
        driver.findElement(By.id("edit-name")).sendKeys("User1");
        driver.findElement(By.id("edit-pass")).sendKeys("1");
        driver.findElement(By.xpath("//*[@id=\"edit-submit\"]")).click();

        /*Сбор ссылок из меню лендинга*/
        driver.get("https://demoevent.gate1.campuz.org/");/*открытие  страницы с ссылками*/
        Thread.sleep(5000); /*задержка после загрузки*/
        ArrayList<String> urls = new ArrayList<>(); /*объявление и создание массива. Угловые скобки  для задания вида переменной, круглые - синтаксис*/

        int num = driver.findElements(By.xpath("//a[@class='m-menu__link m-menu__toggle']")).size(); /* обьявление и инициализация переменной num количество ссылок, int -вид переменной число,size подсчет колдич*/
        System.out.println(num);
        for (int i = 1; i <= num; i++)
        {
            urls.add(driver.findElement(By.xpath("(//a[@class='m-menu__link m-menu__toggle'])["+i+"]")).getAttribute("href")); /*добавление в список параметров атрибутов  href*/
        }

        for (int i = 0; i<urls.size(); i++){
            System.out.println(urls.get(i));
        }



        driver.get("https://pdef.gate1.campuz.org/");
        Thread.sleep(10000);
        ArrayList<String> urlsList = new ArrayList<>();
        int num2 = driver.findElements(By.xpath("//a")).size();
        for (int i = 1; i <= num2; i++) {
            urlsList.add(driver.findElement(By.xpath("(//a)["+(i)+"]")).getAttribute("href"));
        }

        for (int i = 1; i <= urlsList.size(); i++){
            String url = driver.findElement(By.xpath("(//a)["+(i)+"]")).getAttribute("href");
            if (!Objects.equals(url, "javascript:;") && url != null) {
                if (Objects.equals(driver.findElement(By.xpath("(//a)[" + (i) + "]")).getAttribute("target"), "_blank")){
                    System.out.println(urlsList.get(i-1) + " - внешняя ссылка");
                } else {
                    System.out.println(urlsList.get(i-1));
                }
            }
        }

        driver.quit();
    }
}
